Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.description
Class ServiceDesc

    java.lang.Object
      |
      +--org.apache.axis.description.ServiceDesc

public class ServiceDesc
extends java.lang.Object

A ServiceDesc is an abstract description of a service. ServiceDescs contain OperationDescs, which are descriptions of operations. The information about a service's operations comes from one of two places: 1) deployment, or 2) introspection.

Author:
  Glen Daniels (gdaniels@apache.org)

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`ServiceDesc()` Default constructor

Method Summary
`void` | `addOperationDesc(OperationDesc operation)`
`java.util.List` | `getAllowedMethods()`
`java.lang.String` | `getDefaultNamespace()`
`java.util.List` | `getDisallowedMethods()`
`java.lang.String` | `getEndpointURL()`
`java.lang.Class` | `getImplClass()`
`java.lang.String` | `getName()` the name of the service
`OperationDesc` | `getOperationByElementQName(QName qname)` Map an XML QName to an operation.
`OperationDesc` | `getOperationByName(java.lang.String methodName)` Return an operation matching the given method name.
`java.util.ArrayList` | `getOperations()` get all the operations as a list of OperationDescs.
`OperationDesc[]` | `getOperationsByName(java.lang.String methodName)` get all overloaded operations by name
`OperationDesc[]` | `getOperationsByQName(QName qname)` Return all operations which match this QName (i.e.
`java.lang.Object` | `getProperty(java.lang.String name)`
`java.util.ArrayList` | `getStopClasses()`
`Style` | `getStyle()` What kind of service is this?
`TypeMapping` | `getTypeMapping()`
`TypeMappingRegistry` | `getTypeMappingRegistry()`
`Use` | `getUse()` What kind of use is this?
`java.lang.String` | `getWSDLFile()` the wsdl file of the service.
`boolean` | `isWrapped()` Determine whether or not this is a "wrapped" invocation, i.e.
`void` | `loadServiceDescByIntrospection()` Fill in a service description by introspecting the implementation class.
`void` | `loadServiceDescByIntrospection(java.lang.Class implClass)` Fill in a service description by introspecting the implementation class.
`void` | `loadServiceDescByIntrospection(java.lang.Class cls, TypeMapping tm)` Fill in a service description by introspecting the implementation class.
`void` | `setAllowedMethods(java.util.List allowedMethods)`
`void` | `setDefaultNamespace(java.lang.String namespace)`
`void` | `setDisallowedMethods(java.util.List disallowedMethods)`
`void` | `setEndpointURL(java.lang.String endpointURL)`
`void` | `setImplClass(java.lang.Class implClass)` set the implementation class
`void` | `setName(java.lang.String name)` the name of the service
`void` | `setNamespaceMappings(java.util.List namespaces)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`void` | `setStopClasses(java.util.ArrayList stopClasses)`
`void` | `setStyle(Style style)`
`void` | `setTypeMapping(TypeMapping tm)`
`void` | `setTypeMappingRegistry(TypeMappingRegistry tmr)`
`void` | `setUse(Use use)`
`void` | `setWSDLFile(java.lang.String wsdlFileName)` set the wsdl file of the service; this causes the named file to be returned on a ?wsdl, probe, not introspection generated wsdl.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### ServiceDesc

    public ServiceDesc()

  Default constructor

Method Detail

### getStyle

    public Style getStyle()

  What kind of service is this?

  Returns:

### setStyle

    public void setStyle(Style style)

### getUse

    public Use getUse()

  What kind of use is this?

  Returns:

### setUse

    public void setUse(Use use)

### isWrapped

    public boolean isWrapped()

  Determine whether or not this is a "wrapped" invocation, i.e. whether the outermost XML element of the "main" body element represents a method call, with the immediate children of that element representing arguments to the method.

  Returns:
    true if this is wrapped (i.e. RPC or WRAPPED style), false otherwise

### getWSDLFile

    public java.lang.String getWSDLFile()

  the wsdl file of the service. When null, it means that the wsdl should be autogenerated

  Returns:
    filename or null

### setWSDLFile

    public void setWSDLFile(java.lang.String wsdlFileName)

  set the wsdl file of the service; this causes the named file to be returned on a ?wsdl, probe, not introspection generated wsdl.

  Parameters:
    `wsdlFileName` - filename or null to re-enable introspection

### getAllowedMethods

    public java.util.List getAllowedMethods()

### setAllowedMethods

    public void setAllowedMethods(java.util.List allowedMethods)

### getImplClass

    public java.lang.Class getImplClass()

### setImplClass

    public void setImplClass(java.lang.Class implClass)

  set the implementation class

  Warning: You cannot call getInitializedServiceDesc() after setting this as it uses this to indicate its work has already been done.

  Parameters:
    `implClass` -
  Throws:
    `java.lang.IllegalArgumentException` - if the implementation class is already set

### getTypeMapping

    public TypeMapping getTypeMapping()

### setTypeMapping

    public void setTypeMapping(TypeMapping tm)

### getName

    public java.lang.String getName()

  the name of the service

### setName

    public void setName(java.lang.String name)

  the name of the service

  Parameters:
    `name` -

### getStopClasses

    public java.util.ArrayList getStopClasses()

### setStopClasses

    public void setStopClasses(java.util.ArrayList stopClasses)

### getDisallowedMethods

    public java.util.List getDisallowedMethods()

### setDisallowedMethods

    public void setDisallowedMethods(java.util.List disallowedMethods)

### addOperationDesc

    public void addOperationDesc(OperationDesc operation)

### getOperations

    public java.util.ArrayList getOperations()

  get all the operations as a list of OperationDescs. this method triggers an evaluation of the valid operations by introspection, so use sparingly

  Returns:
    reference to the operations array. This is not a copy

### getOperationsByName

    public OperationDesc[] getOperationsByName(java.lang.String methodName)

  get all overloaded operations by name

  Parameters:
    `methodName` -
  Returns:
    null for no match, or an array of OperationDesc objects

### getOperationByName

    public OperationDesc getOperationByName(java.lang.String methodName)

  Return an operation matching the given method name. Note that if we have multiple overloads for this method, we will return the first one.

  Returns:
    null for no match

### getOperationByElementQName

    public OperationDesc getOperationByElementQName(QName qname)

  Map an XML QName to an operation. Returns the first one it finds in the case of mulitple matches.

  Returns:
    null for no match

### getOperationsByQName

    public OperationDesc[] getOperationsByQName(QName qname)

  Return all operations which match this QName (i.e. get all the overloads)

  Returns:
    null for no match

### loadServiceDescByIntrospection

    public void loadServiceDescByIntrospection()

  Fill in a service description by introspecting the implementation class.

### loadServiceDescByIntrospection

    public void loadServiceDescByIntrospection(java.lang.Class implClass)

  Fill in a service description by introspecting the implementation class.

### loadServiceDescByIntrospection

    public void loadServiceDescByIntrospection(java.lang.Class cls,
                                               TypeMapping tm)

  Fill in a service description by introspecting the implementation class. This version takes the implementation class and the in-scope TypeMapping.

### setNamespaceMappings

    public void setNamespaceMappings(java.util.List namespaces)

### getDefaultNamespace

    public java.lang.String getDefaultNamespace()

### setDefaultNamespace

    public void setDefaultNamespace(java.lang.String namespace)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

### getEndpointURL

    public java.lang.String getEndpointURL()

### setEndpointURL

    public void setEndpointURL(java.lang.String endpointURL)

### getTypeMappingRegistry

    public TypeMappingRegistry getTypeMappingRegistry()

### setTypeMappingRegistry

    public void setTypeMappingRegistry(TypeMappingRegistry tmr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.